# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import requests

def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    url_base = "https://learn.microsoft.com/en-us/azure/virtual-desktop/whats-new-client-windows?pivots=remote-desktop-msi"
    response = requests.get(url_base,allow_redirects=True, proxies=proxies)
    # Extract the correct div using bs_find_all
    divs = bs_find_all(response.text, "tr", proxies=proxies)
    msi_file = None
    for div in divs:
        if msi_file:
            break
        links = div.find_all('a', href=True)
        for link in links:
            href = link['href']
            msi_file = href
            filename = requests.head(msi_file,proxies=proxies,allow_redirects=True).headers['Content-Disposition'].split("=")[-1]
            version = filename.split("_")[1]
            break
    # Supprimer les anciens fichiers binaires
    for f in glob.glob("*.msi"):
        if f != filename:
            remove_file(f)

    if not isfile(filename):
        print("Downloading: %s" % filename)
        wget(msi_file, filename, proxies=proxies)
    else:
        print("Binary is present: %s" % filename)

    # Obtenir la version à partir du binaire
    version = get_version_from_binary(filename)

    # Mettre à jour le package
    control.set_software_version(version)
    control.save_control_to_wapt()    
                
    
